Warning to Apple users, Immediately update the device

0
warning to apple users - Techvivi

Apple is one of the largest multinational technology companies. It specialises in consumer electronics, online services, and computer software. For protecting the interest of its customers, Apple never discloses or confirms any security issues until it conducts a detailed investigation. But now the government has issued a warning for Apple users.

As per The Indian Computer Emergency Response Team (CERT –in), iPad and iPhone users should immediately update their devices. The new update is iPad Operating system 14.7.1 and iOS 14.7.1. Moreover, the Ministry of Electronics and Information Technology itself claimed that the devices iOS, iPad, and macOS are vulnerable to get exploited.

“HIGH” alert to Apple users

Indian cybersecurity agency, CERT- in also issued a “high” severity alert to apple users against the new memory corruption vulnerability. The agency also confirmed that the vulnerability exists in the IOMobile Frame Buffer of Apple OS. Hackers have managed to lock the devices, mainly iPhones and iPads. In return, they have got privileges on the victim’s device. Additionally, hackers by using the crafted application can exploit the victim’s data.

iOS 15 features: Tricks that will change your iOS

How Hackers managed to lock the devices?

Apple is extremely anxious to discuss the condition.  As of now, there is a security flaw and it is trying to repair it before releasing any information on the same. Researchers reckon that hackers may be using services that are used to access the device location. Further, they are using iCloud passwords to lock the device. This resulted in unwanted reset or paying off fees to unlock.

Resetting the device is possible, but it will erase all the data on the device. Therefore, having iCloud backup is fundamental. Otherwise, resetting the device will erase the data. The new Operating System update involves rolled patches, and therefore users should immediately update it.

The software program is affected in

  • iPod touch (Generation 7)
  • iPad mini 4 and later
  • iPad Air 2 and later
  • iPhone 6S and later
  • iPad Pro (all models)
  • macOS Big Sur
  • iPad 5th generation and later

Final Note

Failing to update to the latest iPad OS 14.7.1 and iOS 14.7.1 versions may allow the hackers to enjoy privileges on the systems. Apple gave warning to its users and admitted about this exploited issue.

The new iOS update 14.7.1 also fixes an issue in which the phones with Touch ID did not unlock the apple watch paired with it using the Unlock with iPhone feature in it. For users this will act as a security update.

Also read

Top crypto exchange and trading platforms in 2021

LEAVE A REPLY

Please enter your comment!
Please enter your name here